CVE-2020-25085

NameCVE-2020-25085
DescriptionQEMU 5.0.0 has a heap-based Buffer Overflow in flatview_read_continue in exec.c because hw/sd/sdhci.c mishandles a write operation in the SDHC_BLKSIZE case.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs970540

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
qemu (PTS)stretch1:2.8+dfsg-6+deb9u9vulnerable
stretch (security)1:2.8+dfsg-6+deb9u11vulnerable
buster, buster (security)1:3.1+dfsg-8+deb10u8vulnerable
bullseye, sid1:5.1+dfsg-4vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
qemusource(unstable)(unfixed)970540

Notes

[buster] - qemu <postponed> (Can be fixed along in next qemu DSA)
[stretch] - qemu <postponed> (Fix along in future DLA)
https://lists.nongnu.org/archive/html/qemu-devel/2020-09/msg00733.html
https://lists.nongnu.org/archive/html/qemu-devel/2020-09/msg01439.html
https://www.openwall.com/lists/oss-security/2020/09/16/6

Search for package or bug name: Reporting problems